DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
SegmentDescriptionMacro Class Reference

Class representing the Segment Description Macro. More...

## Public Member Functions
| SegmentDescriptionMacro ()
| Constructor.
virtual | ~SegmentDescriptionMacro ()
| Virtual destructor, frees memory.
virtual void | clearData ()
| Clear all data.
virtual OFCondition | read (DcmItem &item)
| Read class data from given item.
virtual OFCondition | write (DcmItem &item)
| Writes the data from this class to given item.
virtual OFCondition | getSegmentLabel (OFString &value, const signed long pos=0)
| Get Segment Label.
virtual OFCondition | getSegmentDescription (OFString &value, const signed long pos=0)
| Get Segment Description.
virtual DcmSegTypes::E_SegmentAlgoType | getSegmentAlgorithmType ()
| Get Segment Algorithm Type.
virtual GeneralAnatomyMacro & | getGeneralAnatomyCode ()
| Get reference to General Anatomy Code.
virtual CodeSequenceMacro & | getSegmentedPropertyCategoryCode ()
| Get Reference to Segmented Property Category Code.
virtual CodeSequenceMacro & | getSegmentedPropertyTypeCode ()
| Get Reference to Segmented Property Type Code.
virtual OFVector< CodeSequenceMacro * > & | getSegmentedPropertyTypeModifier ()
| Get Reference to Segmented Property Type Modifier Codes.
virtual OFCondition | setSegmentLabel (const OFString &value, const OFBool checkValue=OFTrue)
| Set Segment Label.
virtual OFCondition | setSegmentDescription (const OFString &value, const OFBool checkValue=OFTrue)
| Set Segment Description.
virtual OFCondition | setSegmentAlgorithmType (const DcmSegTypes::E_SegmentAlgoType value)
| Set Segment Algorithm Type.

## Protected Member Functions
virtual OFCondition | readSegmentAlgorithmType (DcmItem &item)
| Read Segment Algorithm Type from given item.
virtual OFCondition | writeSegmentAlgorithmType (DcmItem &item)
| Write Segment Algorithm Type to given item.

## Private Attributes
DcmLongString | m_SegmentLabel
| Segment Number: (LO, VM 1, Type 1)
DcmShortText | m_SegmentDescription
| Segment Description: (ST, 1, Type 3)
DcmSegTypes::E_SegmentAlgoType | m_SegmentAlgorithmType
| Segment Algorithm Type: (CS, 1, Type 1)
GeneralAnatomyMacro | m_GeneralAnatomyCode
| General Anatomy Mandatory Macro.
CodeSequenceMacro | m_SegmentedPropertyCategoryCode
| Segment Property Category Code (SQ, 1, 1) Baseline CID 7150.
SegmentedPropertyTypeCodeItem | m_SegmentedPropertyType
| Segmented Property Type Code.

## Detailed Description

Class representing the Segment Description Macro.

## Member Function Documentation

## ◆ getGeneralAnatomyCode()

virtual GeneralAnatomyMacro & SegmentDescriptionMacro::getGeneralAnatomyCode | ( |  | ) |
| virtual

Get reference to General Anatomy Code.

Returns
  Reference to General Anatomy Code

## ◆ getSegmentAlgorithmType()

virtual DcmSegTypes::E_SegmentAlgoType SegmentDescriptionMacro::getSegmentAlgorithmType | ( |  | ) |
| virtual

Get Segment Algorithm Type.

Returns
  The algorithm type

## ◆ getSegmentDescription()

virtual OFCondition SegmentDescriptionMacro::getSegmentDescription | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Segment Description.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSegmentedPropertyCategoryCode()

virtual CodeSequenceMacro & SegmentDescriptionMacro::getSegmentedPropertyCategoryCode | ( |  | ) |
| virtual

Get Reference to Segmented Property Category Code.

Returns
  Reference to Segmented Property Category Code

## ◆ getSegmentedPropertyTypeCode()

virtual CodeSequenceMacro & SegmentDescriptionMacro::getSegmentedPropertyTypeCode | ( |  | ) |
| virtual

Get Reference to Segmented Property Type Code.

Returns
  Reference to Segmented Property Type Code

## ◆ getSegmentedPropertyTypeModifier()

virtual OFVector< CodeSequenceMacro * > & SegmentDescriptionMacro::getSegmentedPropertyTypeModifier | ( |  | ) |
| virtual

Get Reference to Segmented Property Type Modifier Codes.

Returns
  Reference to Segmented Property Type Modifier Codes

## ◆ getSegmentLabel()

virtual OFCondition SegmentDescriptionMacro::getSegmentLabel | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Segment Label.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ read()

virtual OFCondition SegmentDescriptionMacro::read | ( | DcmItem & | item | ) |
| virtual

Read class data from given item.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ readSegmentAlgorithmType()

virtual OFCondition SegmentDescriptionMacro::readSegmentAlgorithmType | ( | DcmItem & | item | ) |
| protected virtual

Read Segment Algorithm Type from given item.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ setSegmentAlgorithmType()

virtual OFCondition SegmentDescriptionMacro::setSegmentAlgorithmType | ( | const DcmSegTypes::E_SegmentAlgoType | value | ) |
| virtual

Set Segment Algorithm Type.

Parameters

  value | Value to be set

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSegmentDescription()

virtual OFCondition SegmentDescriptionMacro::setSegmentDescription | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Segment Description.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value'. Not evaluated (here for consistency with other setter functions).

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSegmentLabel()

virtual OFCondition SegmentDescriptionMacro::setSegmentLabel | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Segment Label.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition SegmentDescriptionMacro::write | ( | DcmItem & | item | ) |
| virtual

Writes the data from this class to given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

## ◆ writeSegmentAlgorithmType()

virtual OFCondition SegmentDescriptionMacro::writeSegmentAlgorithmType | ( | DcmItem & | item | ) |
| protected virtual

Write Segment Algorithm Type to given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmseg/include/dcmtk/dcmseg/segtypes.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2